org.apache.solr.client.solrj.impl

## Class HttpSolrServer

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.HttpSolrClient
    - - org.apache.solr.client.solrj.impl.HttpSolrServer

All Implemented Interfaces:
  Serializable

Deprecated.
Use `HttpSolrClient`

    @Deprecated
    public class HttpSolrServer
    extends HttpSolrClient

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

`HttpSolrClient.HttpUriRequestResponse, HttpSolrClient.RemoteSolrException`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

`AGENT, baseUrl, invariantParams, parser, requestWriter`

### Constructor Summary

Constructors
Constructor and Description
`HttpSolrServer(String baseURL)` Deprecated.
`HttpSolrServer(String baseURL, org.apache.http.client.HttpClient client)` Deprecated.
`HttpSolrServer(String baseURL, org.apache.http.client.HttpClient client, ResponseParser parser)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.client.solrj.impl.HttpSolrClient

`add, addBeans, calculateQueryParams, createMethod, executeMethod, getBaseURL, getHttpClient, getInvariantParams, getParser, getQueryParams, httpUriRequest, httpUriRequest, isUseMultiPartPost, request, request, setAllowCompression, setBaseURL, setConnectionTimeout, setDefaultMaxConnectionsPerHost, setFollowRedirects, setMaxRetries, setMaxTotalConnections, setParser, setQueryParams, setRequestWriter, setSoTimeout, setUseMultiPartPost, shutdown`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, addBean, addBean, addBeans, addBeans, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, getBinder, optimize, optimize, optimize, ping, query, query, queryAndStreamResponse, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpSolrServer

    public HttpSolrServer(String baseURL)

Deprecated.

#### HttpSolrServer

    public HttpSolrServer(String baseURL,
                  org.apache.http.client.HttpClient client)

Deprecated.

#### HttpSolrServer

    public HttpSolrServer(String baseURL,
                  org.apache.http.client.HttpClient client,
                  ResponseParser parser)

Deprecated.